Bug 725965 - spice client mouse doesn't work after migration
Summary: spice client mouse doesn't work after migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Alon Levy
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 718463 (view as bug list)
Depends On: 718463
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-27 07:54 UTC by Yonit Halperin
Modified: 2013-01-10 00:09 UTC (History)
16 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.176.el6
Doc Type: Bug Fix
Doc Text:
Cause On migration the target vm spice-server starts with the default state of guest agent disconnected, and is not notified of the agent being connected. Consequence After migration there is no client side mouse and copy-paste is not functional. Fix At migration target call the guest_open callback. Result After migration the mouse and copy-paste continue to work.
Clone Of: 718463
Environment:
Last Closed: 2011-12-06 15:54:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1531 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2011-12-06 01:23:30 UTC

Comment 4 David Blechter 2011-08-02 15:53:31 UTC
Alon submitted the patch, was posted and acked, 
moving to the default component assignee for hadling

Comment 7 Alon Levy 2011-08-04 16:11:02 UTC
*** Bug 718463 has been marked as a duplicate of this bug. ***

Comment 8 Qunfang Zhang 2011-08-10 05:50:45 UTC
The issue can be reproduced on both qemu-kvm-0.12.1.2-2.175.el6 and qemu-kvm-0.12.1.2-2.177.el6.

Steps:
1.boot guest on src host
/usr/libexec/qemu-kvm -m 2G -smp 4 -cpu cpu64-rhel6,+x2apic -usbdevice tablet -drive file=/mnt/win7-32-virtio.qcow2,if=none,id=drive-ide0-0-0,werror=stop,rerror=stop,cache=none -device virtio-blk-pci,drive=drive-ide0-0-0,id=ide0-0-0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=00:10:1a:3b:20:1f,bus=pci.0,addr=0x4 -boot dc -uuid 6d59434d-3f1c-4558-afc3-37e2cc430d6b -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -name rhel6.1-32 -spice port=5930,disable-ticketing -vga qxl -device virtio-balloon-pci,bus=pci.0,id=balloon0 -device virtio-serial-pci,id=virtio-serial0,max_ports=16,bus=pci.0,addr=0x7 -chardev socket,id=channel0,host=127.0.0.1,port=12345,server,nowait -device virtserialport,bus=virtio-serial0.0,nr=1,chardev=channel0,id=channel0,name=com.redhat.rhevm.vdsm -chardev spicevmc,id=charchannel1,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=2,chardev=charchannel1,id=channel1,name=com.redhat.spice.0 -usb -k en-us -global qxl-vga.vram_size=67108864

2. Boot guest on dst host with "-incoming tcp:0:5800"

3.Install virtio-serial driver, qxl driver and vdagent-win package.
#vdservice.exe install
#net start vdservice

4.Implement migration.

5.Check the mouse operation in dst host.

6.Repeat ping-pong migration.

Result: After guest is migrated to dst host, I can not see the mouse, always I can click the icons in guest desktop with an "adelomorphic" mouse.

Anyone could help have a look if my CLI and steps are correct?

Thanks~

Comment 9 Qunfang Zhang 2011-08-10 05:51:57 UTC
According to Comment 8, I will change the status to Assigned. Please correct me if I am wrong.

Comment 11 Alon Levy 2011-08-10 12:26:47 UTC
(In reply to comment #8)
> 5.Check the mouse operation in dst host.
> 
> 6.Repeat ping-pong migration.
> 

How many times did you migrate? At which point did the vdagent stop working?
What version of virtio-serial, vdagent did you use?

I just tried to reproduce, did two successful migrations, after each the agent
was operational.

> Result: After guest is migrated to dst host, I can not see the mouse, always I
> can click the icons in guest desktop with an "adelomorphic" mouse.
> 
What is "adelomorphic"?

> Anyone could help have a look if my CLI and steps are correct?
> 
> Thanks~

Comment 12 Alon Levy 2011-08-10 13:33:03 UTC
I've packaged my tester, if you like you can try it, it might be quicker then migrating by hand. It doesn't use libvirt so it is not good enough to replace the existing tester. But it is what I tested with. Here are the steps:

git clone git://anongit.freedesktop.org/~alon/spice-tests
cd spice-tests
#edit ./test_vdagent_in_win7_client_edit_to_taste.sh
./test_vdagent_in_win7_client_edit_to_taste.sh
# or directly:
./migrate.py --client spicec --qemu /home/alon/spice/rhel6/bin/qemu-system-x86_64 --image /store/images/win7x86_qxl_tests.img

See README for more information, or migrate.py --help.

Comment 14 Alon Levy 2011-08-11 11:19:35 UTC
ok, great! Can you move it back to ON_QA then?

Alon

Comment 17 David Blechter 2011-08-23 19:52:20 UTC
*** Bug 723699 has been marked as a duplicate of this bug. ***

Comment 18 Alon Levy 2011-11-17 18:02:26 UTC
adding technical note.

Comment 19 Alon Levy 2011-11-17 18:02:26 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
    On migration the target vm spice-server starts with the default state of guest agent disconnected, and is not notified of the agent being connected.
Consequence
    After migration there is no client side mouse and copy-paste is not functional.
Fix
    At migration target call the guest_open callback.
Result
    After migration the mouse and copy-paste continue to work.

Comment 20 errata-xmlrpc 2011-12-06 15:54:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1531.html


Note You need to log in before you can comment on or make changes to this bug.